<?php
/**
 * The template part for displaying an Author biography
 *
 * @since Jenny 1.0
 */
?>

<?php
/**
 * Jenny Layout Options
 */
$jenny_authorbio    =   get_theme_mod( 'jenny_author_bio' );
if (! $jenny_authorbio ) return;

$author_name = get_the_author_meta('display_name');
$author_description = get_the_author_meta('description');

?>


<?php if($author_description !== '') { ?>
<div class="entry-author-info clearfix">
	<div class="author-avatar">
		<?php
		/**
		* Filter the Jenny author bio avatar size.
		*
		* @since Jenny 1.0
		*
		* @param int $size The avatar height and width size in pixels.
		*/

		$author_bio_avatar_size = apply_filters( 'jenny_author_bio_avatar_size', 80 );

		echo get_avatar( get_the_author_meta( 'user_email' ), $author_bio_avatar_size );
		?>
	</div><!-- .author-avatar -->

	<div class="author-description">
		<p class="author-title">
			<?php echo get_the_author_posts_link(); ?>
		</p>
		<p class="author-bio">
			<?php echo $author_description; ?>
		</p><!-- .author-bio -->
	</div><!-- .author-description -->
</div><!-- .author-info -->
<?php } ?>
